import request from './request'

/** 获取零售店列表 */
export function getShopList(params: any) {
  return request.get('/shop/list', { params })
}

/** 获取店铺可预约的时间段 */
export function getShopPeriods(params: any) {
  const { date, ...rest } = params
  return request.get('/igeektek', {
    params: { ...rest, api: `v2/repair/appointment/${date}` },
  })
}

export function getRepairPhone() {
  return request.get<string>('/repair/phone')
}
